<div>
    <h2>
        <span>Points</span>
        <button class="btn btn-primary float-right jh-create-entity create-points" [routerLink]="['/', { outlets: { popup: ['points-new'] } }]">
            <span class="fa fa-plus"></span>
            <span >
            Create new Points
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="points">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span>ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="timestamp"><span>Timestamp</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="exercise"><span>Exercise</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="meals"><span>Meals</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="alcohol"><span>Alcohol</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="notes"><span>Notes</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="user.login"><span>User</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let points of points ;trackBy: trackId">
                <td><a [routerLink]="['../points', points.id ]">{{points.id}}</a></td>
                <td>{{points.timestamp | date:'medium'}}</td>
                <td>{{points.exercise}}</td>
                <td>{{points.meals}}</td>
                <td>{{points.alcohol}}</td>
                <td>{{points.notes}}</td>
                <td>
                    {{points.user?.login}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../points', points.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'points/'+ points.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'points/'+ points.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="points && points.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
